Skip to main content
GET
/
api
/
v1
/
markets
List markets
curl --request GET \
  --url https://api.probalytics.io/api/v1/markets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform": "POLYMARKET",
      "platform_id": "<string>",
      "slug": "<string>",
      "url": "<string>",
      "title": "<string>",
      "description": "<string>",
      "category": "<string>",
      "tags": [
        "<string>"
      ],
      "market_type": "BINARY",
      "outcomes": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "platform_id": "<string>",
          "name": "<string>",
          "index": 123
        }
      ],
      "status": "PENDING",
      "created_at": "2023-11-07T05:31:56Z",
      "opened_at": "2023-11-07T05:31:56Z",
      "closes_at": "2023-11-07T05:31:56Z",
      "resolves_at": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "reset_at": "2023-11-07T05:31:56Z",
      "resolution": {
        "type": "STANDARD",
        "winning_outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "outcome_payouts": [
          {
            "outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "payout": "<string>"
          }
        ],
        "resolved_by": "<string>",
        "resolved_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMjowMDowMFoiLCJpZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCJ9"
}

Authorizations

Authorization
string
header
required

API key authentication. Format: credential_id:credential_secret

Example: Authorization: Bearer api_brave_cosmic_falcon:sk_life_AbCdEfGh...

Query Parameters

start_time
string<date-time>

Filter markets created at or after this time (RFC3339 format)

end_time
string<date-time>

Filter markets created at or before this time (RFC3339 format)

status
enum<string>

Filter by market status Current status of the market

Available options:
PENDING,
ACTIVE,
PAUSED,
CLOSED,
RESOLVED
platform
enum<string>

Filter by platform Platform identifier

Available options:
POLYMARKET,
KALSHI
limit
integer
default:100

Maximum number of results to return per page

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response's next_cursor field. Omit this parameter to start from the beginning.

Response

Paginated list of markets

data
object[]
required

Array of market objects

next_cursor
string

Cursor to fetch the next page of results. Pass this value as the cursor query parameter in your next request. If this field is empty or absent, there are no more results.

Example:

"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMjowMDowMFoiLCJpZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCJ9"